<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="purchase_order_form" model="ir.ui.view">
            <field name="name">purchase.order.form.inherit</field>
            <field name="model">purchase.order</field>
            <field name="inherit_id" ref="purchase.purchase_order_form"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='currency_id']" position="after">
                    <field name="consent_id" context="{'default_partner_id':partner_id,'default_purchaseorder_id':id}"
                           domain="[('purchaseorder_id','=',id)]"/>
                </xpath>
            </field>
        </record>
    </data>
</odoo>
